<?xml version="1.0" encoding="utf-8"?>
<Project>
  <Import Project="Sdk.props" Sdk="Microsoft.NET.Sdk" />
  <PropertyGroup>
    <Version>1.0.0</Version>
    <AssemblyName>uMod.Tests</AssemblyName>
    <Authors>uMod Project Team and Contributors</Authors>
    <Copyright>(c) 2013-$([System.DateTime]::Now.Year) $(Authors)</Copyright>
    <Description>Testing module for the uMod core</Description>
    <RepositoryUrl>https://gitlab.com/umod/core/core</RepositoryUrl>
    <TargetFramework>net6.0</TargetFramework>
    <Configurations>Debug;Release;Local</Configurations>
    <IsPackable>false</IsPackable>
    <NoWarn>NU1701</NoWarn>
  </PropertyGroup>
  <Choose>
    <When Condition="'$(Configuration)' == 'Local'">
      <ItemGroup>
        <PackageReference Include="uMod.Mock.Local" Version="*" />
      </ItemGroup>
    </When>
    <Otherwise>
      <ItemGroup>
        <PackageReference Include="uMod.Mock" Version="1.0.455-develop" />
      </ItemGroup>
    </Otherwise>
  </Choose>
  <ItemGroup>
    <ProjectReference Include="..\src\uMod.Core.csproj" />
    <PackageReference Include="coverlet.msbuild" Version="3.1.2">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="MSTest.TestAdapter" Version="2.2.10" />
    <PackageReference Include="MSTest.TestFramework" Version="2.2.9" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.1.0" />
    <PackageReference Include="Unity3D.UnityEngine" Version="2018.3.5.1" />
    <PackageReference Include="Websocket.Client" Version="4.4.43" /><!-- Not universal, should be removed -->
    <None Include="Mock\Examples\ExampleConfigPlugin.cs" CopyToOutputDirectory="Always" />
    <None Include="Mock\Plugins\MockConfigPlugin.cs" CopyToOutputDirectory="Always" />
    <None Include="Mock\Plugins\MockNamespacePlugin.cs" CopyToOutputDirectory="Always" />
    <None Include="Mock\Plugins\MockPlugin.cs" CopyToOutputDirectory="Always" />
    <None Include="umod\plugins\*" CopyToOutputDirectory="Never" />
    <None Update="umod\data\**\*" CopyToOutputDirectory="Always" />
    <None Update="FakeReference.dll" CopyToOutputDirectory="Always" />
    <Compile Remove="Mock\Examples\**\*" />
    <Compile Remove="umod\plugins\**\*" />
    <Compile Remove="ReflectorTest.cs" />
  </ItemGroup>
  <Import Project="Sdk.targets" Sdk="Microsoft.NET.Sdk" />
  <Target Name="ChangeAliasesOfStrongNameAssemblies" BeforeTargets="FindReferenceAssembliesForReferences;ResolveReferences">
    <ItemGroup>
      <ReferencePath Condition="'%(FileName)' == 'uMod.References'">
        <Aliases>References</Aliases>
      </ReferencePath>
    </ItemGroup>
  </Target>
</Project>
